Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

EOActionAssociation
EOActionCellAssociation
EOActionInsertionAssociation
EOAspectConnector
EOAssociation
EOColumnAssociation
EOComboBoxAssociation
EOControlAssociation
EODetailSelectionAssociation
EODisplayGroup
EOGenericControlAssociation
EOMasterCopyAssociation
EOMasterDetailAssociation
EOMasterPeerAssociation
EOMatrixAssociation
EOPickTextAssociation
EOPopUpAssociation
EORadioMatrixAssociation
EORecursiveBrowserAssociation
EOTableViewAssociation
EOTextAssociation

### Protocols

### Constants

### Functions

### Macros

### Types

### Variables

Up

# EOActionInsertionAssociation class documentation

### Authors

David Ayers (`ayers@fsfe.org`)

Date: Generated at 2026-02-03 22:13:20 +0000

Copyright: (C) 2004,2005 Free Software Foundation, Inc.

# Software documentation for the EOActionInsertionAssociation class

## EOActionInsertionAssociation : EOAssociation

> Declared in:
>   EOInterface/EOActionInsertionAssociation.h

Description forthcoming.

### Method summary

- +aspectSignatures
- +aspects
- +isUsableWithObject:
- +objectKeysTaken
- +primaryAspect
- -action:
- -breakConnection
- -establishConnection
- -subjectChanged

### aspectSignatures

+ (NSArray*) aspectSignatures;
Description forthcoming.

### aspects

+ (NSArray*) aspects;
Description forthcoming.

### isUsableWithObject:

+ (BOOL) isUsableWithObject: (id)object;
Description forthcoming.

### objectKeysTaken

+ (NSArray*) objectKeysTaken;
Description forthcoming.

### primaryAspect

+ (NSString*) primaryAspect;
Description forthcoming.

### action:

- (void) action: (id)sender;
Description forthcoming.

### breakConnection

- (void) breakConnection;
Description forthcoming.

### establishConnection

- (void) establishConnection;
Description forthcoming.

### subjectChanged

- (void) subjectChanged;
Description forthcoming.

Up